# Uses of Class
com.ngrok.definitions.EventTargetKinesis

Packages that use EventTargetKinesis
Package
Description
com.ngrok.definitions

- ## Uses of EventTargetKinesis in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EventTargetKinesis
  Modifier and Type
  Method
  Description
  `EventTargetKinesis`
  EventTargetKinesis.Builder.`build()`
  Constructs the `EventTargetKinesis` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EventTargetKinesis
  Modifier and Type
  Method
  Description
  `Optional<EventTargetKinesis>`
  EventTarget.`getKinesis()`
  Configuration used to send events to Amazon Kinesis.
  Methods in com.ngrok.definitions with parameters of type EventTargetKinesis
  Modifier and Type
  Method
  Description
  `EventTarget.Builder`
  EventTarget.Builder.`kinesis(EventTargetKinesis kinesis)`
  Configuration used to send events to Amazon Kinesis.
  Method parameters in com.ngrok.definitions with type arguments of type EventTargetKinesis
  Modifier and Type
  Method
  Description
  `EventTarget.Builder`
  EventTarget.Builder.`kinesis(Optional<EventTargetKinesis> kinesis)`
  Configuration used to send events to Amazon Kinesis.